> ## Documentation Index
> Fetch the complete documentation index at: https://api.quizrise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tagged Quizzes API

> Get all quizzes associated with a specific tag



## OpenAPI

````yaml GET /tags/{tagId}/quizzes
openapi: 3.0.1
info:
  license:
    name: MIT
  title: QuizRise API
  version: 1.0.0
  description: API for managing quizzes, questions, and related operations
servers:
  - url: https://app.quizrise.com/api/v1
security:
  - bearerAuth: []
paths:
  /tags/{tagId}/quizzes:
    get:
      summary: Get quizzes by tag
      description: >-
        Retrieves a paginated list of quizzes associated with a specific tag.
        Requires authentication and classroom ownership.
      parameters:
        - name: tagId
          in: path
          required: true
          schema:
            type: string
          description: The ID of the tag
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
          description: Page number for pagination
      responses:
        '200':
          description: Quizzes fetched successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  message:
                    type: string
                    example: Quizzes fetched successfully
                  quizzes:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        title:
                          type: string
                        description:
                          type: string
                        slug:
                          type: string
                        visibility:
                          type: string
                        creator:
                          type: object
                          properties:
                            name:
                              type: string
                            avatar:
                              type: string
                              nullable: true
                        tags:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                              tag:
                                type: string
                        questionCount:
                          type: integer
                        flashcardCount:
                          type: integer
                        quizAttemptCount:
                          type: integer
                  pagination:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                      totalPages:
                        type: integer
                      totalItems:
                        type: integer
                      itemsPerPage:
                        type: integer
                      hasNextPage:
                        type: boolean
                      hasPreviousPage:
                        type: boolean
        '400':
          description: Bad request - Invalid parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                    example: Invalid tag ID
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
        '404':
          description: No quizzes found or tag not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                    example: >-
                      No quizzes found for this page. Please check pagination
                      parameters and tag ID.
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                    example: Failed to get quizzes.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````